DWARF_ADD_DIRECTORY_DECL(3)

NAME
dwarf_add_directory_decl - add a directory name to a producer instance

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
Dwarf_Unsigned
dwarf_add_directory_decl(Dwarf_P_Debug dbg, char *name, Dwarf_Error *err);

DESCRIPTION
Function dwarf_add_directory_decl() adds a source directory name to a producer instance and returns the index value generated for the directory name.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument name should point a NUL-terminated string containing the name of the directory.

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
On success, function dwarf_add_directory_decl() returns the index value generated for the directory. In case of an error, function dwarf_add_directory_decl() returns DW_DLV_NOCOUNT and sets the argument err.

ERRORS
Function dwarf_add_directory_decl() can fail with:

[DW_DLE_ARGUMENT]
    Either of the arguments dbg or name was NULL.

[DW_DLE_MEMORY]
    An out of memory condition was encountered during the execution of the function.

SEE ALSO
dwarf(3), dwarf_add_file_decl(3), dwarf_add_line_entry(3), dwarf_lne_end_sequence(3), dwarf_lne_set_address(3), dwarf_producer_init(3), dwarf_producer_init_b(3)